Bug 73861 - Feature Request: imap folder location defaults to user's home directory
Feature Request: imap folder location defaults to user's home directory
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-12 10:16 EDT by Joseph Tate
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-17 16:25:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Tate 2002-09-12 10:16:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020826

Description of problem:
It would be nice if by default the imap folder location was changed to an added
folder (say .imap) in the user's home directory rather than just throwing all
the imap "folders" into the user's home directory or requiring that the user
make a configuration change on every imap client she uses.

Version-Release number of selected component (if applicable):


Otherwise, it'd be nice if the information on how to change this default
behavior was documented in the imapd man page.
Comment 1 Joseph Tate 2002-09-17 10:51:52 EDT
I've got a patch that changes the default directory to the .imap folder, but I
was trying to modify imap so that it would create the directory if it didn't
exist before submitting the patch.  I think I've found the place to do that, but
I need to test it.
Comment 2 Joseph Tate 2002-10-10 00:38:44 EDT
Nevermind the patch.  I propose the following:
Change line 32 of src/osdep/unix/env_unix.c
from
static char *mailsubdir = NIL;  /* mail subdirectory name */
to
static char *mailsubdir = ".imap";  /* mail subdirectory name */

and add a directory .imap (own root:root mod 700) to the /etc/skel directory. 
That way whenever a new user is created using adduser -m this directory will be
setup.  Piece of cake.
Comment 3 Mike A. Harris 2002-12-17 16:25:33 EST
Feature requests should be made directly to the University of Washington.
Red Hat will not modify the default behaviour without the University
doing so first as Red Hat Linux would then be different from every other
Linux vendor shipping UW imap.  It also would break existing systems.

Note You need to log in before you can comment on or make changes to this bug.